Endpoint Groups
Pipelines
Pipeline definitions, jobs, runs, and orchestration controls.
List pipelinesGET
/pipelines
Operation ID
listPipelinesQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
429 |
Client error |
500 |
Server error |
Create pipelinePOST
/pipelines
Operation ID
createPipelineRequest Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Get pipeline runGET
/pipelines/runs/{runId}
Operation ID
getPipelineRunPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
runId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Cancel pipeline runPOST
/pipelines/runs/{runId}/cancel
Operation ID
cancelPipelineRunPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
runId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
List pipeline job runsGET
/pipelines/runs/{runId}/jobs
Operation ID
listPipelineJobRunsPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
runId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Get pipelineGET
/pipelines/{pipelineName}
Operation ID
getPipelinePath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
pipelineName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Update pipelinePATCH
/pipelines/{pipelineName}
Operation ID
updatePipelinePath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
pipelineName |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Delete pipelineDELETE
/pipelines/{pipelineName}
Operation ID
deletePipelinePath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
pipelineName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
List pipeline jobsGET
/pipelines/{pipelineName}/jobs
Operation ID
listPipelineJobsPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
pipelineName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Create pipeline jobPOST
/pipelines/{pipelineName}/jobs
Operation ID
createPipelineJobPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
pipelineName |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Delete pipeline jobDELETE
/pipelines/{pipelineName}/jobs/{jobId}
Operation ID
deletePipelineJobPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
jobId |
string |
true |
- |
pipelineName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
List pipeline runsGET
/pipelines/{pipelineName}/runs
Operation ID
listPipelineRunsPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
pipelineName |
string |
true |
- |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
status |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Trigger pipeline runPOST
/pipelines/{pipelineName}/runs
Operation ID
triggerPipelineRunPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
pipelineName |
string |
true |
- |
Request Body
- Required:
false - Content types:
application/json
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |